.split,
.gutter.gutter-horizontal {
  float: left;
}
.gutter.gutter-horizontal {
  cursor: ew-resize;
}

#sidebar {
  left: 0px;
  border-right: 1px solid #0f0f10;
  -webkit-user-select: none;
  user-select: none;
  margin: 0px;
  padding: 0px;
}

#blockImagePreview {
  visibility: hidden;
  display: none;
}

#flex {
  display: flex;
  flex-direction: row;
  position: absolute;
  bottom: 30px;
  top: 0px;
  left: 0px;
  width: 100%;
}

.previewImage img {
  width: 100%;
  margin-left: auto;
  margin-right: auto;
}

.previewImage canvas {
  width: 100%;
  margin-left: auto;
  margin-right: auto;
}
#mainDisplay {
  padding: 0px;
  margin: 0px;
  background-image: url("../img/grid.png");
  background-repeat: repeat;
}

#BlockMosaic {
  padding: 0px;
  margin: 0px;
  text-align: center;
  display: flexbox;
  z-index: 9999;
}

.vCenter {
  display: flex;
  align-items: center;
  justify-content: center;
  min-height: calc(100vh - 30px);
}

#palletSelectItems {
  width: 100%;
  display: block;
  margin-top: 10px;
  margin-bottom: 10px;
}

#palletSelectItems::after {
  content: "";
  clear: both;
  display: table;
}

#blockMosaic canvas {
  margin-left: auto;
  margin-right: auto;
  display: inline;
  image-rendering: pixelated;
  cursor: grab;
}

#blockMosaic canvas:active {
  cursor: grabbing;
}

.palletItem {
  width: 22px;
  height: 22px;
  float: left;
}

.palletItemDisabled {
  opacity: 0.1;
  background-image: url("../img/disabled.png");
  background-repeat: no-repeat;
  background-position: center;
}

#pickedColour {
  width: 100px;
  height: 100px;
  margin-left: auto;
  margin-right: auto;
  margin-top: 10px;
  margin-bottom: 10px;
  background-color: #000;
}

.overflow-auto {
  overflow: auto;
}

.overflow-hidden {
  overflow: hidden;
}
